% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % %
% File: download_image_result
% Author: Sofiane AOUCI
% Brief: Downloads the image generated by the stm32 and the result
%        predicted by the neural networ
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 
clear
close all
clc

i = 1;
img = zeros(28);

s = serialport('COM7',921600)
disp('PORT opend')
disp('reading data ...')
while i <= 28*28
    if s.NumBytesAvailable ~= 0
        img(i) = read(s,1,'single');
        i  = i + 1;
    end
end

prediction = read(s,1,'uint8');

% write(s,t_image(:)','uint8');
disp('Closing port ...')
clear s

disp('Opening image ...')
image(img')

disp('The neural network predicted : ')
disp(prediction)